Bug 171323 - [NEW PORT] games/hitori: Logic game similar to Sudoku
[NEW PORT] games/hitori: Logic game similar to Sudoku
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pawel Pekala
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 15:10 UTC by nemysis
Modified: 2013-03-13 21:30 UTC (History)
1 user (show)

See Also:


Attachments
.shar (9.07 KB, text/plain)
2012-09-04 15:10 UTC, nemysis
no flags Details
hitori.shar (8.55 KB, application/x-shar)
2012-10-11 17:11 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-04 15:10:01 UTC
Hitori is a small application written to allow one to play the eponymous
puzzle game, which is similar in theme to more popular puzzles such as Sudoku
created by Nikoli.

WWW: https://live.gnome.org/Hitori
WWW: http://tecnocode.co.uk/projects/hitori/

For Older FreeBSD Versions added

.if ${OSVERSION} < 800505 || (${OSVERSION} >= 900000 && ${OSVERSION} < 900012)
USE_XZ=         yes
EXTRACT_DEPENDS+=       lzma:${PORTSDIR}/archivers/xz
.endif 

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Pawel Pekala freebsd_committer 2013-03-13 19:41:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter freebsd_committer 2013-03-13 21:20:59 UTC
Author: pawel
Date: Wed Mar 13 21:20:44 2013
New Revision: 314113
URL: http://svnweb.freebsd.org/changeset/ports/314113

Log:
  Hitori is a small application written to allow one to play the eponymous
  puzzle game, which is similar in theme to more popular puzzles such as Sudoku
  created by Nikoli.
  
  WWW: https://live.gnome.org/Hitori
  
  PR:		ports/171323
  Submitted by:	nemysis@gmx.ch

Added:
  head/games/hitori/
  head/games/hitori/Makefile   (contents, props changed)
  head/games/hitori/distinfo   (contents, props changed)
  head/games/hitori/pkg-descr   (contents, props changed)
  head/games/hitori/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Wed Mar 13 20:54:33 2013	(r314112)
+++ head/games/Makefile	Wed Mar 13 21:20:44 2013	(r314113)
@@ -385,6 +385,7 @@
     SUBDIR += hexxagon
     SUBDIR += highmoon
     SUBDIR += hinversi
+    SUBDIR += hitori
     SUBDIR += hllib
     SUBDIR += hlstats
     SUBDIR += hlstatsx

Added: head/games/hitori/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hitori/Makefile	Wed Mar 13 21:20:44 2013	(r314113)
@@ -0,0 +1,59 @@
+# Created by: nemysis@gmx.ch
+# $FreeBSD$
+
+PORTNAME=	hitori
+PORTVERSION=	0.3.2
+CATEGORIES=	games
+MASTER_SITES=	GNOME
+EXTRACT_SUFX=	.tar.xz
+
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Logic game similar to Sudoku
+
+LICENSE=	GPLv3 CCbyNCSA3
+LICENSE_COMB=	dual
+LICENSE_NAME_CCbyNCSA3=	Attribution-NonCommercial-ShareAlike 3.0 Unported
+LICENSE_FILE_CCbyNCSA3=	${WRKSRC}/COPYING-DOCS
+LICENSE_PERMS_CCbyNCSA3=dist-mirror pkg-mirror auto-accept
+
+BUILD_DEPENDS=	xml2po:${PORTSDIR}/textproc/gnome-doc-utils
+LIB_DEPENDS=	cairo:${PORTSDIR}/graphics/cairo
+
+GNU_CONFIGURE=	yes
+USE_GMAKE=	yes
+USE_GNOME=	glib20 gtk30
+MAKE_JOBS_SAFE=	yes
+INSTALLS_ICONS=	yes
+
+PORTDOCS=	AUTHORS ChangeLog MAINTAINERS NEWS README
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+USE_GETTEXT=	yes
+PLIST_SUB+=	NLS=""
+.else
+CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
+.endif
+
+post-patch:
+.if ${PORT_OPTIONS:MNLS}
+	@${REINPLACE_CMD} -e 's|itlocaledir = $$(prefix)/$$(DATADIRNAME)/locale|itlocaledir = $$(prefix)/share/locale|' \
+		${WRKSRC}/po/Makefile.in.in
+.endif
+
+post-install:
+	${INSTALL_DATA} ${WRKSRC}/data/icons/48x48/${PORTNAME}.png ${PREFIX}/share/pixmaps/${PORTNAME}.png
+
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.if ${OSVERSION} < 800505 || (${OSVERSION} >= 900000 && ${OSVERSION} < 900012)
+USE_XZ=		yes
+EXTRACT_DEPENDS+=	lzma:${PORTSDIR}/archivers/xz
+.endif
+
+.include <bsd.port.mk>

Added: head/games/hitori/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hitori/distinfo	Wed Mar 13 21:20:44 2013	(r314113)
@@ -0,0 +1,2 @@
+SHA256 (hitori-0.3.2.tar.xz) = 9e72bb0c84b0e0b66a96fcee6918cf15832f45458df4d8dd5f8091a20bba4350
+SIZE (hitori-0.3.2.tar.xz) = 457752

Added: head/games/hitori/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hitori/pkg-descr	Wed Mar 13 21:20:44 2013	(r314113)
@@ -0,0 +1,5 @@
+Hitori is a small application written to allow one to play the eponymous
+puzzle game, which is similar in theme to more popular puzzles such as Sudoku
+created by Nikoli.
+
+WWW: https://live.gnome.org/Hitori

Added: head/games/hitori/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hitori/pkg-plist	Wed Mar 13 21:20:44 2013	(r314113)
@@ -0,0 +1,138 @@
+bin/hitori
+share/applications/hitori.desktop
+share/gnome/help/hitori/C/customization.page
+share/gnome/help/hitori/C/figures/hitori_main_window.png
+share/gnome/help/hitori/C/game.page
+share/gnome/help/hitori/C/index.page
+share/gnome/help/hitori/C/license.page
+share/gnome/help/hitori/C/playing.page
+share/gnome/help/hitori/C/strategy.page
+share/gnome/help/hitori/cs/customization.page
+share/gnome/help/hitori/cs/figures/hitori_main_window.png
+share/gnome/help/hitori/cs/game.page
+share/gnome/help/hitori/cs/index.page
+share/gnome/help/hitori/cs/license.page
+share/gnome/help/hitori/cs/playing.page
+share/gnome/help/hitori/cs/strategy.page
+share/gnome/help/hitori/da/customization.page
+share/gnome/help/hitori/da/figures/hitori_main_window.png
+share/gnome/help/hitori/da/game.page
+share/gnome/help/hitori/da/index.page
+share/gnome/help/hitori/da/license.page
+share/gnome/help/hitori/da/playing.page
+share/gnome/help/hitori/da/strategy.page
+share/gnome/help/hitori/de/customization.page
+share/gnome/help/hitori/de/figures/hitori_main_window.png
+share/gnome/help/hitori/de/game.page
+share/gnome/help/hitori/de/index.page
+share/gnome/help/hitori/de/license.page
+share/gnome/help/hitori/de/playing.page
+share/gnome/help/hitori/de/strategy.page
+share/gnome/help/hitori/en_GB/customization.page
+share/gnome/help/hitori/en_GB/figures/hitori_main_window.png
+share/gnome/help/hitori/en_GB/game.page
+share/gnome/help/hitori/en_GB/index.page
+share/gnome/help/hitori/en_GB/license.page
+share/gnome/help/hitori/en_GB/playing.page
+share/gnome/help/hitori/en_GB/strategy.page
+share/gnome/help/hitori/es/customization.page
+share/gnome/help/hitori/es/figures/hitori_main_window.png
+share/gnome/help/hitori/es/game.page
+share/gnome/help/hitori/es/index.page
+share/gnome/help/hitori/es/license.page
+share/gnome/help/hitori/es/playing.page
+share/gnome/help/hitori/es/strategy.page
+share/gnome/help/hitori/fr/customization.page
+share/gnome/help/hitori/fr/figures/hitori_main_window.png
+share/gnome/help/hitori/fr/game.page
+share/gnome/help/hitori/fr/index.page
+share/gnome/help/hitori/fr/license.page
+share/gnome/help/hitori/fr/playing.page
+share/gnome/help/hitori/fr/strategy.page
+share/gnome/help/hitori/sl/customization.page
+share/gnome/help/hitori/sl/figures/hitori_main_window.png
+share/gnome/help/hitori/sl/game.page
+share/gnome/help/hitori/sl/index.page
+share/gnome/help/hitori/sl/license.page
+share/gnome/help/hitori/sl/playing.page
+share/gnome/help/hitori/sl/strategy.page
+share/gnome/help/hitori/sv/customization.page
+share/gnome/help/hitori/sv/figures/hitori_main_window.png
+share/gnome/help/hitori/sv/game.page
+share/gnome/help/hitori/sv/index.page
+share/gnome/help/hitori/sv/license.page
+share/gnome/help/hitori/sv/playing.page
+share/gnome/help/hitori/sv/strategy.page
+share/gnome/help/hitori/zh_CN/customization.page
+share/gnome/help/hitori/zh_CN/figures/hitori_main_window.png
+share/gnome/help/hitori/zh_CN/game.page
+share/gnome/help/hitori/zh_CN/index.page
+share/gnome/help/hitori/zh_CN/license.page
+share/gnome/help/hitori/zh_CN/playing.page
+share/gnome/help/hitori/zh_CN/strategy.page
+%%DATADIR%%/hitori.ui
+share/icons/hicolor/16x16/apps/hitori.png
+share/icons/hicolor/22x22/apps/hitori.png
+share/icons/hicolor/32x32/apps/hitori.png
+share/icons/hicolor/48x48/apps/hitori.png
+%%NLS%%share/locale/cs/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/da/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/de/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/el/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/en_GB/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/es/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/gl/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/id/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/lv/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/nb/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/pa/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/ro/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/sl/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/sr/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/sr@latin/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/hitori.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/hitori.mo
+share/pixmaps/hitori.png
+%%NLS%%@dirrmtry share/locale/sr@latin/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/sr@latin
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/22x22/apps
+@dirrmtry share/icons/hicolor/22x22
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry %%DATADIR%%
+@dirrmtry share/gnome/help/hitori/zh_CN/figures
+@dirrmtry share/gnome/help/hitori/zh_CN
+@dirrmtry share/gnome/help/hitori/sv/figures
+@dirrmtry share/gnome/help/hitori/sv
+@dirrmtry share/gnome/help/hitori/sl/figures
+@dirrmtry share/gnome/help/hitori/sl
+@dirrmtry share/gnome/help/hitori/fr/figures
+@dirrmtry share/gnome/help/hitori/fr
+@dirrmtry share/gnome/help/hitori/es/figures
+@dirrmtry share/gnome/help/hitori/es
+@dirrmtry share/gnome/help/hitori/en_GB/figures
+@dirrmtry share/gnome/help/hitori/en_GB
+@dirrmtry share/gnome/help/hitori/de/figures
+@dirrmtry share/gnome/help/hitori/de
+@dirrmtry share/gnome/help/hitori/da/figures
+@dirrmtry share/gnome/help/hitori/da
+@dirrmtry share/gnome/help/hitori/cs/figures
+@dirrmtry share/gnome/help/hitori/cs
+@dirrmtry share/gnome/help/hitori/C/figures
+@dirrmtry share/gnome/help/hitori/C
+@dirrmtry share/gnome/help/hitori
+@dirrmtry share/gnome/help
+@dirrmtry share/gnome
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-03-13 21:21:31 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!